@import url('https://fonts.googleapis.com/css2?family=Quicksand&family=Roboto&display=swap');

/* Set all elements to use the Quicksand font */
body,
input,
textarea,
button,
select {
    font-family: 'Quicksand', sans-serif;
    font-size: 16px;
    margin: 0;
    padding: 0;
}

/* Set the background color of all pages */
html,
body {
    background-color: #E2DCC8;
}

a {
    color: black;
    text-decoration: none;
}

p a {
    color: #4b8670;
    border: 1px solid rgba(221, 219, 219, 0.811);
    background-color: rgba(221, 219, 219, 0.811);
    border-radius: 20px;
    padding: 5px 8px;
}

p a:hover {
    color: white;
    border: 1px solid #4b867097;
    background-color: #4b867097;
    border-radius: 20px;
    padding: 5px 8px;
}

td a {
    border: 1px solid #e2dcc84e;
    background-color: #e2dcc84e;
    border-radius: 10px;
    padding: 4px;
}

td a:hover {
    border: 1px solid #E2DCC8;
    background-color: #E2DCC8;
    border-radius: 10px;
    padding: 4px;
}

/* Set the style of the navigation list */
header nav ul {
    background-color: #f9f5e9;
    border-bottom: 1px solid #CCC;
    box-sizing: border-box;
    list-style: none;
    margin-top: 0;
    margin-bottom: 2em;
    padding: 0 0 0 1em;
}

/* Set the spacing and layout of the nav list items */
header nav ul li {
    display: inline-block;
    margin: 0 10px;
    padding: 1em 0 1em 0;
}

/* Set the style of the links in the nav */
header nav ul li a {
    color: black;
    text-decoration: none;
    border: 1px solid #4b867097;
    border-radius: 15px;
    background-color: #4b867097;
    padding: 8px;
}

header nav ul li a:hover {
    color: rgb(53, 51, 51);
    font-style: italic;
}

/* Make the input tags look nicer */
input {
    height: 1.5em;
    margin: 0;
    padding: .25em .5em;
}

/* Make the select boxes look nicer */
select {
    height: 2.5em;
}

/* Make the select-multiple boxes look nicer */
select[multiple] {
    height: 7.5em;
}

/* Make the textarea inputs look nicer */
textarea {
    margin: 0;
    padding: .25em .5em;
}

/* Set the width on all tables */
table {
    width: 100%;
}

/* Set the size of the help text in forms */
.helptext {
    display: block;
    font-size: 80%;
}

/* Make the login and sign-up forms look nicer */
.login-form,
.signup-form {
    background-color: #f9f5e9;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    margin: auto;
    max-width: 400px;
    padding: 2em;
}

/* Make the task and projects forms look nicer */
.task-form,
.project-form {
    background-color: #f9f5e9;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    margin: auto;
    max-width: 600px;
    padding: 2em;
}

/* Make all of the headers the same */
.task-form h1,
.login-form h1,
.signup-form h1,
.project-list h1,
.project-form h1,
.project-detail h1 {
    margin-top: 0;
}

/* Add spacing to the section of the project detail */
.project-detail h2 {
    margin-top: 2em;
}

/* Standardize form layout using grid */
.task-form p,
.login-form p,
.signup-form p,
.project-form p {
    display: grid;
    align-items: center;
    column-gap: 10px;
    grid-template-columns: 100px 1fr;
}

/* Standardize help text positions in the grid */
.task-form p .helptext,
.login-form p .helptext,
.signup-form p .helptext,
.project-form p .helptext {
    grid-column-start: 2;
    grid-column-end: 3;
}

/* Make the buttons a little larger */
.task-form button,
.my-tasks-list button,
.login-form button,
.signup-form button,
.project-form button {
    padding: 0.25em 1em;
    border: 1px solid #4b867097;
    background-color: #4b867097;
    border-radius: 10px;
}

/* Add a nice box around the lists and details */
.my-tasks-list,
.project-list,
.project-detail {
    background-color: #f9f5e9;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    margin: auto;
    max-width: 800px;
    padding: 2em;
}

/* Add padding to the table header and table datum tags */
.my-tasks-list th,
.my-tasks-list td,
.project-list th,
.project-list td,
.project-detail th,
.project-detail td {
    padding: .5em;
}

/* Add a bottom border to the table header tags */
.my-tasks-list thead tr th,
.project-list thead tr th,
.project-detail thead tr th {
    border-bottom: 2px solid #4b8670;
}

/* Center align the text on specific table header cells */
.my-tasks-list tbody td:nth-child(2),
.my-tasks-list tbody td:nth-child(3),
.my-tasks-list tbody td:nth-child(4),
.project-list tbody tr td,
.project-detail tbody td:nth-child(2),
.project-detail tbody td:nth-child(3),
.project-detail tbody td:nth-child(4),
.project-detail tbody td:nth-child(5) {
    text-align: center;
}

/* Add horizontal rules to all rows except the last */
.my-tasks-list tbody :not(tr:last-child) td,
.project-list tbody :not(tr:last-child) td,
.project-detail tbody :not(tr:last-child) td {
    border-bottom: 1px solid #8ba39aae;
}
